//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace CourierDeliveryNetwork.Data
{
    using System;
    using System.Collections.Generic;
    
    public partial class RateSetup
    {
        public long RateID { get; set; }
        public Nullable<long> ProviderID { get; set; }
        public string Title { get; set; }
        public Nullable<int> DeliveryType { get; set; }
        public Nullable<int> DocumentType { get; set; }
        public Nullable<int> HeightFrom { get; set; }
        public Nullable<int> HeightTo { get; set; }
        public Nullable<int> WidthFrom { get; set; }
        public Nullable<int> WidthTo { get; set; }
        public Nullable<int> LengthFrom { get; set; }
        public Nullable<int> LengthTo { get; set; }
        public Nullable<int> WeightFrom { get; set; }
        public Nullable<int> WeightTo { get; set; }
        public Nullable<int> PricePerKG { get; set; }
        public Nullable<decimal> MinimumCharges { get; set; }
        public Nullable<int> DeliveryDays { get; set; }
        public Nullable<bool> Active { get; set; }
        public Nullable<System.DateTime> InsertedDate { get; set; }
    
        public virtual DeliveryTypeMaster DeliveryTypeMaster { get; set; }
        public virtual DocumentTypeMaster DocumentTypeMaster { get; set; }
        public virtual ProviderRegistration ProviderRegistration { get; set; }
    }
}
